%define name	avview
%define version	0.12.0
%define release	1mdk

Summary:	ATI audio/video viewer
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Video
Source:		%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
URL:		http://gatos.sourceforge.net/avview.php
BuildRequires:	tcl tk libalsa-devel XFree86-devel libzvbi-devel libffmpeg-devel
Requires:	ffmpeg ati.2 libzvbi0
Source1:	avview-16.png
Source2:	avview-32.png

%description
AVview is a Tcl/Tk extension which provides interface to Audio/Video devices on
Linux. The goal is to have an efficient Audio/Video processing engine which is
controlled by Tcl/Tk interface.

%prep
%setup -q

%build
%configure --with-alsa
make

%install
%makeinstall_std

# menu
cd $RPM_BUILD_ROOT
mkdir -p ./%{_menudir}
cat > ./%{_menudir}/%{name} <<EOF 
?package(%{name}): needs="x11" section="Multimedia/Video" title="AVview" longtitle="ATI audio/video viewer" command="%{_bindir}/start_avview" icon="avview.png"
EOF
mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
cd $RPM_BUILD_DIR/%{name}-%{version}
install -m 644 %SOURCE1 $RPM_BUILD_ROOT%{_miconsdir}/%name.png
install -m 644 %SOURCE2 $RPM_BUILD_ROOT%{_iconsdir}/%name.png
install -m 644 %{name}-48x48.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README INSTALL AUTHORS COPYING
%{_bindir}/*
%{_datadir}/AVview
%{_menudir}/%{name}
%{_miconsdir}/*
%{_liconsdir}/*
%{_iconsdir}/*

%changelog
* Mon Aug 18 2003 Austin Acton <aacton@yorku.ca> 0.12.0-1mdk
- DIRM
- buildrequires ffmpeg-devel
- from Spencer Anderson <sdander@oberon.ark.com> :
  - 0.12.0

* Sat Apr 12 2003 Austin Acton <aacton@yorku.ca> 0.11.12-1mdk
- from Spencer Anderson <sdander@oberon.ark.com>
  - new version
  - build for new tcl/tk
  - enable ffmpeg and alsa support

* Thu Mar 6 2003 Austin Acton <aacton@yorku.ca> 0.10.8-2mdk
- requires ati.2

* Sun Feb 16 2003 Austin Acton <aacton@yorku.ca> 0.10.8-1mdk
- from Spencer Anderson <sdander@oberon.ark.com>
- First mdk release
- Make menu entry
- Fix icons

